%define module CGI-Safe
%define name	perl-%{module}
%define version 1.25
%define release %mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Safe method of using CGI.pm
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/CGI/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:  perl(CGI)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The CGI-Safe module makes running the CGI environment safer
by eliminating dangerous %ENV variables and presetting
certain CGI.pm globals.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/CGI
%{_mandir}/*/*




%changelog
* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.25-2mdv2007.0
+ Revision: 73405
- import perl-CGI-Safe-1.25-2mdk


* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.25-2mdk
- Fix SPEC Using perl Policies
	- BuildRequires
	- Source URL

* Thu Oct 06 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.25-1mdk
- new version
- %mkrel
- spec cleanup
- rpmbuildupdate aware
- fix directory ownership
- better summary

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.24-1mdk
- initial Mandriva package

